using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Ten_Most_Expensive_ProductsAccess  : Daolite.BusinessAccess
	{

		public  Ten_Most_Expensive_ProductsAccess() : base("Ten_Most_Expensive_Products", NwindConfiger.GetConfiger())
		{
		}


		public Ten_Most_Expensive_Products[] Query()
		{
			return base.Query<Ten_Most_Expensive_Products>();
		}


		public Ten_Most_Expensive_Products[] QueryRelated()
		{
			return base.QueryRelated<Ten_Most_Expensive_Products>();
		}


		public Ten_Most_Expensive_Products QueryOne(bool isRelated)
		{
			return base.QueryOne<Ten_Most_Expensive_Products>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
